Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
close.c File Reference
`#include "ruby/missing.h"`
`#include <errno.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`

Go to the source code of this file.

## Functions
int | ruby_getpeername (int s, struct sockaddr *name, socklen_t *namelen)
int | ruby_getsockname (int s, struct sockaddr *name, socklen_t *namelen)
int | ruby_shutdown (int s, int how)
int | ruby_close (int s)

## Function Documentation

## ◆ ruby_close()

int ruby_close | ( | int | s | ) |

Definition at line 60 of file close.c.

References close(), ECONNRESET, err, and errno.

## ◆ ruby_getpeername()

int ruby_getpeername | ( | int | s,
|  | struct sockaddr * | name,
|  | socklen_t * | namelen
| ) |  |

Definition at line 10 of file close.c.

References ECONNRESET, err, errno, and name.

## ◆ ruby_getsockname()

int ruby_getsockname | ( | int | s,
|  | struct sockaddr * | name,
|  | socklen_t * | namelen
| ) |  |

Definition at line 27 of file close.c.

References ECONNRESET, err, errno, and name.

## ◆ ruby_shutdown()

int ruby_shutdown | ( | int | s,
|  | int | how
| ) |  |

Definition at line 44 of file close.c.

References ECONNRESET, err, errno, and shutdown.